com.amazon.redshift.core

## Class PluginProfilesCredentialsProvider

- java.lang.Object
- - com.amazon.redshift.core.PluginProfilesCredentialsProvider

    public class PluginProfilesCredentialsProvider
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PluginProfilesCredentialsProvider(RedshiftJDBCSettings settings, RedshiftLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CredentialsHolder` `getCredentials(String profileName)` Returns the AWS credentials for the specified profile.
`AwsCredentials` `resolveCredentials()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginProfilesCredentialsProvider

    public PluginProfilesCredentialsProvider(RedshiftJDBCSettings settings,
                                             RedshiftLogger log)

### Method Detail

#### resolveCredentials

    public AwsCredentials resolveCredentials()

#### getCredentials

    public CredentialsHolder getCredentials(String profileName)

Returns the AWS credentials for the specified profile.